Package fr.gouv.vitam.ihmrecette.appserver

# Class WebApplicationResourceDelete

java.lang.Object
fr.gouv.vitam.ihmrecette.appserver.WebApplicationResourceDelete

@Path("/v1/api/delete") public class WebApplicationResourceDelete extends Object
Web Application Resource class for delete features

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebApplicationResourceDelete(WebApplicationConfig webApplicationConfig, OntologyLoader ontologyLoader, FunctionalAdminIndexationConfiguration functionalAdminFunctionalAdminIndexationConfiguration, MetadataIndexationConfiguration metadataMetadataIndexationConfiguration, LogbookIndexationConfiguration logbookLogbookIndexationConfiguration)`
  Default constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `deleteAccessionRegister()`
  Delete the referential accession register in database
  `void`
  `deleteAccessionRegister(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)`
  `void`
  `deleteAccessionRegisterSummary(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)`
  `jakarta.ws.rs.core.Response`
  `deleteAll()`
  Delete all collection in database
  `jakarta.ws.rs.core.Response`
  `deleteAndImportOntologies(jakarta.servlet.http.HttpServletRequest request)`
  Delete the EXTERNAL entries for the ontology collection and reimport the INTERNAL entries
  `jakarta.ws.rs.core.Response`
  `deleteFormat()`
  Delete the referential format in the base
  `jakarta.ws.rs.core.Response`
  `deleteGriffins(jakarta.servlet.http.HttpServletRequest request)`
  `jakarta.ws.rs.core.Response`
  `deleteLogbookLifecycleOG()`
  Delete the logbook lifecyle for objectgroup in database
  `jakarta.ws.rs.core.Response`
  `deleteLogbookLifecycleUnit()`
  Delete the logbook lifecycle for unit in database
  `jakarta.ws.rs.core.Response`
  `deleteLogbookOperation()`
  Delete the logbook operation in database
  `void`
  `deleteLogbookoperations(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)`
  `jakarta.ws.rs.core.Response`
  `deleteMasterdaAccessContract()`
  Delete the masterdata for accessContract in database
  `jakarta.ws.rs.core.Response`
  `deleteMasterdaIngestContract()`
  Delete the masterdata for ingestContract in database
  `jakarta.ws.rs.core.Response`
  `deleteMasterdaManagementContract()`
  Delete the masterdata for managementContract in database
  `jakarta.ws.rs.core.Response`
  `deleteMasterdataAgencies()`
  Delete the masterdata for agencies in database
  `jakarta.ws.rs.core.Response`
  `deleteMasterdataArchiveUnitProfile()`
  Delete the masterdata for archive unit profile in database
  `jakarta.ws.rs.core.Response`
  `deleteMasterdataContext()`
  Delete all entries for the context collection except the "admin" context
  `jakarta.ws.rs.core.Response`
  `deleteMasterdataProfile()`
  Delete the masterdata for profile in database
  `jakarta.ws.rs.core.Response`
  `deleteMasterdataSecurityProfile()`
  Delete all entries for the context collection except the "admin" context
  `jakarta.ws.rs.core.Response`
  `deleteMetadataObjectGroup()`
  Delete the metadata for objectgroup in database
  `void`
  `deleteMetadataOg(Integer tenantId, List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)`
  `jakarta.ws.rs.core.Response`
  `deleteMetadataUnit()`
  Delete the metadata for unit in database
  `void`
  `deleteMetadataUnit(Integer tenantId, List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)`
  `void`
  `deleteRules(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)`
  `jakarta.ws.rs.core.Response`
  `deleteRulesFile()`
  Delete the referential rules in the base
  `jakarta.ws.rs.core.Response`
  `deleteScenarios(jakarta.servlet.http.HttpServletRequest request)`
  `MongoDbAccess`
  `getMongoDbAccessAdmin()`
  Get mongoDb access
  `jakarta.ws.rs.core.Response`
  `purgeDataForTnr()`
  Deprecated.
  Delete for tnr use only for tnr

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WebApplicationResourceDelete

    public WebApplicationResourceDelete(WebApplicationConfig webApplicationConfig, OntologyLoader ontologyLoader, FunctionalAdminIndexationConfiguration functionalAdminFunctionalAdminIndexationConfiguration, MetadataIndexationConfiguration metadataMetadataIndexationConfiguration, LogbookIndexationConfiguration logbookLogbookIndexationConfiguration)
    Default constructor
    Parameters:
      `webApplicationConfig` - application configuration
      `ontologyLoader` -

- ## Method Details

  - ### getMongoDbAccessAdmin

    public MongoDbAccess getMongoDbAccessAdmin()
    Get mongoDb access
    Returns:
      the mongoDb access

  - ### deleteFormat

    @Path("formats") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteFormat()
    Delete the referential format in the base
    Returns:
      Response

  - ### deleteRulesFile

    @Path("rules") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteRulesFile()
    Delete the referential rules in the base
    Returns:
      Response

  - ### deleteAccessionRegister

    @Path("accessionregisters") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteAccessionRegister()
    Delete the referential accession register in database
    Returns:
      Response

  - ### deleteLogbookOperation

    @Path("logbook/operation") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteLogbookOperation()
    Delete the logbook operation in database
    Returns:
      Response

  - ### deleteLogbookLifecycleOG

    @Path("logbook/lifecycle/objectgroup") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteLogbookLifecycleOG()
    Delete the logbook lifecyle for objectgroup in database
    Returns:
      Response

  - ### deleteLogbookLifecycleUnit

    @Path("logbook/lifecycle/unit") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteLogbookLifecycleUnit()
    Delete the logbook lifecycle for unit in database
    Returns:
      Response

  - ### deleteMetadataObjectGroup

    @Path("metadata/objectgroup") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMetadataObjectGroup()
    Delete the metadata for objectgroup in database
    Returns:
      Response

  - ### deleteMetadataUnit

    @Path("metadata/unit") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMetadataUnit()
    Delete the metadata for unit in database
    Returns:
      Response

  - ### deleteMasterdaAccessContract

    @Path("masterdata/accessContract") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdaAccessContract()
    Delete the masterdata for accessContract in database
    Returns:
      Response

  - ### deleteMasterdaIngestContract

    @Path("masterdata/ingestContract") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdaIngestContract()
    Delete the masterdata for ingestContract in database
    Returns:
      Response

  - ### deleteMasterdaManagementContract

    @Path("masterdata/managementContract") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdaManagementContract()
    Delete the masterdata for managementContract in database
    Returns:
      Response

  - ### deleteMasterdataProfile

    @Path("masterdata/profile") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdataProfile()
    Delete the masterdata for profile in database
    Returns:
      Response

  - ### deleteMasterdataArchiveUnitProfile

    @Path("masterdata/archiveUnitProfile") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdataArchiveUnitProfile()
    Delete the masterdata for archive unit profile in database
    Returns:
      Response

  - ### deleteMasterdataAgencies

    @Path("masterdata/agencies") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdataAgencies()
    Delete the masterdata for agencies in database
    Returns:
      Response

  - ### deleteMasterdataContext

    @Path("masterdata/context") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdataContext()
    Delete all entries for the context collection except the "admin" context
    Returns:
      Response

  - ### deleteMasterdataSecurityProfile

    @Path("masterdata/securityProfile") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteMasterdataSecurityProfile()
    Delete all entries for the context collection except the "admin" context
    Returns:
      Response

  - ### deleteAndImportOntologies

    @Path("masterdata/ontologies") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteAndImportOntologies(@Context jakarta.servlet.http.HttpServletRequest request) throws IOException
    Delete the EXTERNAL entries for the ontology collection and reimport the INTERNAL entries
    Returns:
      Response
    Throws:
      `IOException`

  - ### deleteGriffins

    @Path("masterdata/griffins") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteGriffins(@Context jakarta.servlet.http.HttpServletRequest request) throws IOException
    Throws:
      `IOException`

  - ### deleteScenarios

    @Path("masterdata/scenarios") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteScenarios(@Context jakarta.servlet.http.HttpServletRequest request) throws IOException
    Throws:
      `IOException`

  - ### purgeDataForTnr

    @Path("deleteTnr") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response purgeDataForTnr()
    Deprecated.
    Delete for tnr use only for tnr

  - ### deleteAll

    @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteAll()
    Delete all collection in database
    Returns:
      Response

  - ### deleteMetadataOg

    public void deleteMetadataOg(Integer tenantId, List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)

  - ### deleteMetadataUnit

    public void deleteMetadataUnit(Integer tenantId, List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)

  - ### deleteRules

    public void deleteRules(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)

  - ### deleteAccessionRegisterSummary

    public void deleteAccessionRegisterSummary(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)

  - ### deleteAccessionRegister

    public void deleteAccessionRegister(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)

  - ### deleteLogbookoperations

    public void deleteLogbookoperations(List<String> collectionKO, LogbookOperationParameters parameters, LogbookOperationsClientHelper helper)